> For the complete documentation index, see [llms.txt](https://docs.veedna.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veedna.com/sca360-flexible-deployment-for-data-center-cloud-integrated-environments/bajaj-finances-cicd-integration-july-2026.md).

# Bajaj Finances - CICD Integration - July 2026

## Scope

Integrate SBOM360 scan with one repository on GitHub using GitHub Actions.

This can be later expanded to Azure DevOps as well using Azure Pipelines.

## Prerequisites

1. Runner (VM) to run the GitHub Action
   * Either a GitHub-hosted runner or Self-hosted runner ([link](https://docs.github.com/en/actions/concepts/runners))
   * Linux only (`ubuntu-latest` recommended). x86\_64 and aarch64 supported. Windows / macOS runners are not supported.
   * Network access to Open-Source repositories (NPM, Maven etc.) and Lineaje APIs (\*.prod.veedna.in, ap-south-1-indiaprod-veedna-\*.s3.ap-south-1.amazonaws.com)
   * Should have required permissions to private artifactories, like Azure Artifactory.
2. Lineaje Personal Access Token (PAT) (instructions are below)
3. User permissions to create a GitHub Action workflow and trigger workflows

{% hint style="warning" %}
Most Bajaj Finances repositories use private artifactories. This was configured on the existing Bajaj VM. The GitHub Action Runner needs to be configured accordingly and provided.\
\
For network access, full list of URLs can be shared again if required.
{% endhint %}

## Steps

{% stepper %}
{% step %}

### Create a Lineaje Personal Access Token (PAT)

Follow the steps in [Authentication](/gold-open-source-gos/gold-packages/integrating-lineaje-gos-artifactory-proxy-into-your-ci-cd-pipeline/authentication.md)
{% endstep %}

{% step %}

### Add the Lineaje PAT to GitHub Repository or Organization.

Create a repository-level or organization-level secret to store the Lineaje PAT.

For repository-level secret,

1. Open your GitHub repository.
2. Go to **Settings**.
3. Open **Secrets and variables**.
4. Select **Actions**.
5. Click **New repository secret**.
6. Provide the name as `LINEAJE_CLI_TOKEN`. Copy-and-paste the PAT from Step 1 as the value.

For organization-level secret, please follow this [link](https://docs.github.com/en/actions/how-tos/write-workflows/choose-what-workflows-do/use-secrets#creating-secrets-for-an-organization).
{% endstep %}

{% step %}

### Create the GitHub Action workflow

1. Add the following workflow file in your repository: `.github/workflows/lineaje-scan.yml`
2. Copy-and-paste the following contents into the YML file.&#x20;

{% code overflow="wrap" %}

```yml
name: Trigger Lineaje Scan

on:
  workflow_dispatch:
    inputs:
      source_branch:
        description: "Branch to scan"
        required: true
      group:
        description: "Lineaje organization group"
        required: false
        default: "Root Organization"

jobs:
  scan:
    runs-on: ubuntu-latest

    permissions:
      id-token: write
      contents: read

    steps:
      - name: Checkout repository
        uses: actions/checkout@v4
        with:
          ref: ${{ github.event.inputs.source_branch }}

      - name: Lineaje scan
        uses: lineaje-actions/lineaje-actions@v1.9.1
        with:
          scan_type: source
          lineaje_cli_token: ${{ secrets.LINEAJE_CLI_TOKEN }}
          org_name: ${{ github.event.inputs.group }}
          language: node
          language_version: "22"
          post_scan: scan_only

```

{% endcode %}

For the full list of supported languages, visit [lineaje-scan#supported-language-versions](https://github.com/marketplace/actions/lineaje-scan#supported-language-versions).
{% endstep %}

{% step %}

### Trigger the workflow

Go to the Actions tab in the GitHub repository, and run the "Trigger Lineaje Scan" workflow.  In the "Branch to scan" section, enter the name of the branch you would like to scan.

Once the scan is completed, the results will be available in SBOM360.

{% hint style="info" %}
The above workflow is configured to run off a manual trigger. But the same action can be configured to run when a new pull request is created, on changes to specific branches, or when a new release is created.&#x20;

Refer to [choose-when-workflows-run/trigger-a-workflow](https://docs.github.com/en/actions/how-tos/write-workflows/choose-when-workflows-run/trigger-a-workflow) to configure these options.
{% endhint %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.veedna.com/sca360-flexible-deployment-for-data-center-cloud-integrated-environments/bajaj-finances-cicd-integration-july-2026.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
